summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChema Alonso Josa <nimiux@gentoo.org>2018-05-05 15:39:32 +0200
committerChema Alonso Josa <nimiux@gentoo.org>2018-05-05 15:42:02 +0200
commit7344535b20271d9d4e5fb92c36abf3dd9a22d0fd (patch)
tree61689902e2c22e035cbba98eb3cb65e59c4484fe /dev-lisp/asdf
parentmedia-video/handbrake: Bump ffmpeg/libav deps. (diff)
downloadgentoo-7344535b20271d9d4e5fb92c36abf3dd9a22d0fd.tar.gz
gentoo-7344535b20271d9d4e5fb92c36abf3dd9a22d0fd.tar.bz2
gentoo-7344535b20271d9d4e5fb92c36abf3dd9a22d0fd.zip
dev-lisp/asdf: Bump version to 3.2.2
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-lisp/asdf')
-rw-r--r--dev-lisp/asdf/Manifest1
-rw-r--r--dev-lisp/asdf/asdf-3.3.2.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/dev-lisp/asdf/Manifest b/dev-lisp/asdf/Manifest
index 33a37a5e2fd..55d79086372 100644
--- a/dev-lisp/asdf/Manifest
+++ b/dev-lisp/asdf/Manifest
@@ -1,3 +1,4 @@
DIST asdf-3.1.5.tar.gz 400359 BLAKE2B 586a66799a37259694baa673f2849e183fac5fedfe5ff5c92529d47fc0954d40b48bbc095db926b9ea2214b551729c269d0925e4396a52310b72fd5f21842f49 SHA512 937d45eabea0853cd1b2e78e84cf33e7b55065857ffcf49fd87ccd60e21ae09c6dc7ab3649d48b37aeb1beaeeaf6c816e5ce035f0283707105296fb976044516
DIST asdf-3.3.0.tar.gz 498451 BLAKE2B dea8e659eab482604067f5989c766b52b9bc4f0bafeb7a12508520abf686dde730225dbc3063291dd334b1a97a41d04b4207be4680ae0cae9a4207222eda7b43 SHA512 4e8b3434d9eb504af253fa39ac759cceb7ea0c3e2c364875d7259b32a9818b051fb2a3c94c188c7f38e43825e2a18107f1732211534a8b1fbbaa77b6c7f90486
DIST asdf-3.3.1.tar.gz 479255 BLAKE2B 5161b79741a52721eaa4da80a61bbe51e924967ecb744a087fdcbd99407abcc42faf39eafe6d30af7dd8af751a80caaf23e93ce42aa5f584123a1e8b528cc613 SHA512 bf5efec4518eb5312ce743c0fbe60c587bebfe26c36c833c163d67bf8631e18eeb293f2185e547f6be10da061a17f024d9f4a3a0808727d7b9b3a7d7a0faf133
+DIST asdf-3.3.2.tar.gz 482616 BLAKE2B 860728720ccb02debee6a826d8b27bfd8f5fea3daa529ecfc8d2f5564c77340a38582ccbccf4f311c644bdeccd7348004690929185aa70c3dc0f6b4124616df8 SHA512 f8e065383d6e82754c87d309a8b500ad213e09d1375792fd475eb169d9f880d97b26072e608046d61c83512645781cded09dcff22052e214e8e3639f2a978c74
diff --git a/dev-lisp/asdf/asdf-3.3.2.ebuild b/dev-lisp/asdf/asdf-3.3.2.ebuild
new file mode 100644
index 00000000000..54c65a46a31
--- /dev/null
+++ b/dev-lisp/asdf/asdf-3.3.2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils prefix common-lisp-3
+
+DESCRIPTION="ASDF is Another System Definition Facility for Common Lisp"
+HOMEPAGE="http://common-lisp.net/project/asdf/"
+SRC_URI="http://common-lisp.net/project/${PN}/archives/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~x86-solaris"
+IUSE="doc"
+
+SLOT="0/${PVR}"
+
+DEPEND="!dev-lisp/cl-${PN}
+ !<dev-lisp/asdf-2.33-r3
+ doc? ( virtual/texi2dvi )"
+PDEPEND="virtual/commonlisp
+ ~dev-lisp/uiop-${PV}"
+
+install_docs() {
+ (cd doc ; dodoc *.{html,css,ico,png} "${PN}.pdf" ; dodoc -r asdf )
+ if has_version ">=dev-lisp/sbcl-1.4.0" ; then
+ (cd doc ; doinfo "${PN}.info" )
+ fi
+}
+
+src_compile() {
+ emake
+ use doc && emake -C doc
+}
+
+src_test() {
+ common-lisp-export-impl-args "$(common-lisp-find-lisp-impl)"
+ test/run-tests.sh ${CL_BINARY}
+}
+
+src_install() {
+ insinto "${CLSOURCEROOT}/${PN}"
+ doins -r build version.lisp-expr
+ dodoc README.md TODO
+ use doc && install_docs
+ insinto /etc/common-lisp
+ cd "${T}" || die
+ cp "${FILESDIR}/gentoo-init.lisp" "${FILESDIR}/source-registry.conf" . || die
+ eprefixify gentoo-init.lisp source-registry.conf
+ doins gentoo-init.lisp source-registry.conf
+}